package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.agile.AgileRouterDeviceCfgModel;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: RouterDeviceCfgProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/3/19 10:11
 */
public interface RouterDeviceCfgProvider {
    default BocloudResult list() {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(AgileRouterDeviceCfgModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(AgileRouterDeviceCfgModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(String uuid) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(String uuid) {
        return new BocloudResult(false, "need implement");
    }
}
